Subject: C67x00 USB problems II

From: "David H. Lynch Jr." <[email-masked]>
Date: Sun, 21 Sep 2008 02:10:12 -0400

Issue # 2

how do I get the 2nd port working ?

I have the platform data altered as follows:

  .dev.platform_data = &(struct c67x00_platform_data) {
	        .sie_config         = C67X00_SIE1_HOST | C67X00_SIE2_HOST,
        	.hpi_regstep        = 0x04,
    /* A0 not connected on 16bit bus */
	    },

For two hosts rather than a host and a peripheral.

I have been pretending I can get this working without getting too
intimate with USB or this driver. Apparently that has been a self-delusion.

Again clues greatly appreciated.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too
numerous to list.

"Any intelligent fool can make things bigger and more complex... It
takes a touch of genius - and a lot of courage to move in the opposite
direction."
Albert Einstein